*{
    margin: 0;
    padding: 0;
    outline: none;
    box-sizing: border-box;
    font-family: monospace;
}

body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background-color: #ecec6d;
    user-select: none;
}

.container{
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    padding: 20px 100%;
}

h2{
    font-size: 3em;
    color: #f06a2c;
}

.reset{
    padding: 15px 20px;
    width: 100%;
    color: #cccc1d;
    border: none;
    font-size: 1.5em;
    letter-spacing: 0.1em;
    cursor: pointer;
    font-weight: 600;
}

.reset:focus{
    background-color: #cccc1d;
    color: white;
}

.game{
    width: 600px;
    height: 500px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px;
    transform-style: preserve-3d;
}

.item{
    position: relative;
    width: 100px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: white;
    font-size: 3em;
    transform: rotateY(180deg);
    transition: 0.25s;
}

.item::after{
    content: " ";
    position: absolute;
    inset: 0;
    background: url("./assets/background.jpg");
    background-size: cover;
    transition: 0.25s;
    transform: rotateY(0deg);
    backface-visibility: hidden;
}

.item.boxOpen{
    transform: rotateY(0deg);
}

.boxOpen::after,
.boxMatch::after{
    transform: rotateY(180deg);
}